Subject: Re: bug#15095: 24.2; mail items in Tools menu confusing to new users

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Aug 2013 05:44:59 +0300

> From: Carson Chittom <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 14 Aug 2013 14:49:57 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Another issue that might be confusing here is that you can start mail
> > composition and send it without reading any email before that.  That's
> > why there are 2 menu items instead of one.
> 
> I agree (of course) that that's what's going on and why there are
> currently two menu items.  My contention, though, is that the kind of
> people who are apt to be confused are the same people who don't want to,
> or rather don't think to, send mail without going to the mail function.
> Put another way, "Send a mail message while in the text editing mode"
> sounds strange unless you already know how Emacs handles sending mail,

I'm guessing everyone is nowadays aware of a function in a word
processor that sends the current document via email.  So I think you
are wrong here.

> Incidentally, I didn't remember what came up, so I just tried (via 
> emacs -Q and then going through Rmail) to send a message like a new user
> would.  Emacs (presumably message.el) just prompts me to select "mail
> client," "transport," or "smtp" to send my message; and there is no
> indication that I've left Rmail.

The indication is in the mode line, as usual in Emacs.  After all,
that's how you know you are in Rmail, right?